This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 221031 - Review Request: PyOpenGL - Cross platform Python binding to OpenGL
Review Request: PyOpenGL - Cross platform Python binding to OpenGL
Status: CLOSED DUPLICATE of bug 234121
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-30 13:14 EST by Rafał Psota
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 14:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2006-12-30 13:14:32 EST
Spec URL: http://www.mutebox.net/~rafalzaq/PyOpenGL/PyOpenGL.spec
SRPM URL: http://www.mutebox.net/~rafalzaq/PyOpenGL/PyOpenGL-3.0.0-0.1.a5.fc6.src.rpm
Description: PyOpenGL is the cross platform Python binding to OpenGL and related APIs.  The
binding is created using the SWIG wrapper generator, and is provided under an
extremely liberal BSD-style Open-Source license.

rpmlint returns "W: PyOpenGL-doc doc-file-dependency /usr/share/doc/PyOpenGL-doc-3.0.0/pydoc/builddocs.py /usr/bin/env" but coreutils (which is an exception) include it.

This is my first package and I'm looking for a sponsor.
Comment 2 Paul F. Johnson 2006-12-31 10:04:29 EST
How alpha is this software?
Comment 3 Rafał Psota 2007-01-06 09:09:09 EST
I decided to use ver. 2.0.2.01 because most apps use version 2.x.

Spec URL: http://rafalzaq.nonlogic.org/fedora/PyOpenGL/PyOpenGL.spec
SRPM URL:
http://rafalzaq.nonlogic.org/fedora/PyOpenGL/PyOpenGL-2.0.2.01-1.fc6.src.rpm
Comment 4 Mamoru TASAKA 2007-01-09 11:45:38 EST
(Removing NEEDSPONSOR: bug 221727)
Comment 5 Till Maas 2007-01-17 14:27:06 EST
pygame already requires py-numeric,
tk-devel requires tcl-devel and
freeglut requires mesa-libGLU-devel

So you can remove py-numeric, tcl-devel and mesa-libGLU-devel from (Build)Requires
Comment 6 Rafał Psota 2007-01-17 16:56:51 EST
(In reply to comment #5)
> So you can remove py-numeric, tcl-devel and mesa-libGLU-devel from (Build)Requires

Done.

Spec URL: http://rafalzaq.nonlogic.org/fedora/PyOpenGL/PyOpenGL.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/PyOpenGL/PyOpenGL-2.0.2.01-2.src.rpm
Comment 7 Till Maas 2007-01-17 17:45:22 EST
In the description you write " The
binding is created using the SWIG wrapper generator" but in build.log in the
mock build the following error appears:

swig -version
unable to execute swig: No such file or directory
swig1.3 -version
unable to execute swig1.3: No such file or directory
sh: swig: command not found
sh: swig1.3: command not found
warning: build_w: Can't find SWIG, will just have to do with the existing
wrapper source.

So maybe you need to add swig to your BuildRequires. But I don't know whether
this would be better or not, do you know?

Also there are a lot of gcc warnings in the compile log, some seem to be swig
related but there are also some others. Please report them upstream if not
already done. I can attach the build.log if you did not compile it in mock
youreself.

There are also a lot of lines like "package init file
'OpenGL/scripts/__init__.py' not found (or not a regular file)" - Does this need
to be fixed?

You did not update 

So maybe you need to add swig to your BuildRequires. But I don't know whether
this would be better or not, do you know?

Also there are a lot of gcc warnings in the compile log, some seem to be swig
related but there are also some others. Please report them upstream if not
already done. I can attach the build.log if you did not compile it in mock
youreself.

There are also a lot of lines like "package init file
'OpenGL/scripts/__init__.py' not found (or not a regular file)" - Does this need
to be fixed?

You did not update http://rafalzaq.nonlogic.org/fedora/PyOpenGL/PyOpenGL.spec
(it is still release 1)
Comment 8 Hans de Goede 2007-03-27 07:37:30 EDT
Ah wat fun, appearantly this is a much wanted package, and 3 people are working
on it. There are also review request in bug 225118 (sorta dead) and in bug
234121 (mine)

I think we need to coordinate this, I don't mind who gets to maintain this
package, as long as it gets moving soon, as it is needed to resolve bug 234127

Also notice that going with the stable 2.x version is not an option, as that
contains bits under the NOT acceptable SGI Free B license.

Thus I've packaged up 3.0.0a6, my rpmlint clean package is here:
Spec URL: http://people.atrpms.net/~hdegoede/PyOpenGL.spec
SRPM URL: http://people.atrpms.net/~hdegoede/PyOpenGL-3.0.0-0.1.a6.fc7.src.rpm

Rafal, this bug seems to be lingering for a while, are you still interested in this?

Comment 9 Rafał Psota 2007-03-28 12:56:06 EDT
It'd be better if someone more experienced at python packaged PyOpenGL and this
is why I'm not interested in packaging it no longer.
Comment 10 Hans de Goede 2007-03-28 14:11:59 EDT
OK, closing then, for people interested, please help by reviewing my version,
bug 234121

*** This bug has been marked as a duplicate of 234121 ***

Note You need to log in before you can comment on or make changes to this bug.